{-# LANGUAGE OverloadedStrings #-}

import Data.GI.CodeGen.CabalHooks (setupBinding, TaggedOverride(..))

import qualified GI.GObject.Config as GObject
import qualified GI.Gst.Config as Gst
import qualified GI.GstVideo.Config as GstVideo


main :: IO ()
main = setupBinding name version pkgName pkgVersion verbose overridesFile inheritedOverrides outputDir
  where name = "GstPbutils"
        version = "1.0"
        pkgName = "gi-gstpbutils"
        pkgVersion = "1.0.27"
        overridesFile = Just "GstPbutils.overrides"
        verbose = False
        outputDir = Nothing
        inheritedOverrides = [TaggedOverride "inherited:GObject" GObject.overrides, TaggedOverride "inherited:Gst" Gst.overrides, TaggedOverride "inherited:GstVideo" GstVideo.overrides]
